A couple of days ago I succesfully managed to get AIGLX working on my Dell laptop in Ubuntu Dapper. I started out trying to install GLX a few months ago, but it was quite a strugle and I decided to leave it for now.

Last weekend I found a very solid manual for laptops having an onboard Intell videocard. My Latitude contains a videocard that uses the i810 Intell driver, which wasn’t supported untill a few weeks ago.

AIGLX supports this type of videocard now and after reading some documenten about it I still could not get it working. Searching the Beryl (used to be compiz) forums I figured it out. It had to be the Beryl packages which I had to install instead of the deprecated Compiz packages.

If you still have no clue what GLX is, be sure to check out this video on GoogleVideo.